buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Assaf Arkin <as...@labnotes.org>
Subject Re: compiling groovy fails
Date Mon, 12 Oct 2009 21:32:52 GMT
On Mon, Oct 12, 2009 at 1:39 PM, Alex Boisvert <alex.boisvert@gmail.com>wrote:

> On Mon, Oct 12, 2009 at 9:53 AM, Peter Schröder <ps@blau.de> wrote:
>
> > Currently I am stuck building a groovy-sub-project. It fails compiling
> the
> > groovy-source:
> >
> >  [groovyc] Compiling 1 source file to
> >
> /Users/peterschroder/ruby/buildr-examples/building/compiler/groovyproject/target/classes
> > E, [2009-10-12T18:39:36.709000 #76434] ERROR -- : Error instantiating
> > 'groovyc' task: java.lang.NoSuchMethodError:
> > org.objectweb.asm.ClassWriter.<init>(Z)V
> > Buildr aborted!
> > java.lang.NoSuchMethodError: org.objectweb.asm.ClassWriter.<init>(Z)V
> >
>
> Hmmm.  I can't reproduce this on my setup.  Can you give more details about
> your configuration?
>
>
> > require 'buildr/groovy'
> > Buildr::Groovy::Groovyc::REQUIRES.groovy = '1.5.4'
> >
> > But it did not solve my problem...
> >
> > There are lots of bad examples in the documentation, wich make the
> > learning-curve very steep. I am trying to fix some of these mistakes
> while
> > creating the examples.
> > Looking at the rdoc of some internal classes I think that these are
> > substantially wrong and I dont have enough knwoledge to fix them right
> > away...
> > I can put a marker on all documentation that looks fishy, if someone will
> > have a look.
> >
>
> I'm happy to review+test anything that looks fishy.
>
> Assaf, is this supposed to work?
>
> artifact_ns['Buildr::Groovy::Groovyc'].groovy = '1.5.4'
>
> I have to admit I've never really completely grokked all the artifact_ns()
> variations.
>

Have no idea, never used artifact namespaces. Seems more reliable to setup
versions of Buildr dependencies using the YAML files.

Assaf


>
> alex
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message